=== debian/changelog ===
libhdf4 (4.2.10-3.2) unstable; urgency=medium

  [James Cowgill]
  * mips64.diff: fix testcase run on mips64(el). (Closes: #779624)

  * Fix unpatch flow.

 -- YunQiang Su <syq@debian.org>  Sun, 22 Mar 2015 23:03:13 +0800
