=== debian/watch ===
version=3
http://www.hdfgroup.org/ftp/HDF/HDF_Current/src/hdf-(.+).tar.bz2
